summaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
Diffstat (limited to 'lib')
-rw-r--r--lib/completion.zsh2
-rw-r--r--lib/correction.zsh20
-rw-r--r--lib/git.zsh4
3 files changed, 13 insertions, 13 deletions
diff --git a/lib/completion.zsh b/lib/completion.zsh
index c54249c52..fa1d97f48 100644
--- a/lib/completion.zsh
+++ b/lib/completion.zsh
@@ -44,7 +44,7 @@ zstyle ':completion:*:*:*:users' ignored-patterns \
named netdump news nfsnobody nobody nscd ntp nut nx obsrun openvpn \
operator pcap polkitd postfix postgres privoxy pulse pvm quagga radvd \
rpc rpcuser rpm rtkit scard shutdown squid sshd statd svn sync tftp \
- usbmux uucp vcsa wwwrun xfs
+ usbmux uucp vcsa wwwrun xfs '_*'
# ... unless we really want to.
zstyle '*' single-ignored show
diff --git a/lib/correction.zsh b/lib/correction.zsh
index 47eb83b1d..3e1415a0b 100644
--- a/lib/correction.zsh
+++ b/lib/correction.zsh
@@ -1,13 +1,13 @@
-alias man='nocorrect man'
-alias mv='nocorrect mv'
-alias mysql='nocorrect mysql'
-alias mkdir='nocorrect mkdir'
-alias gist='nocorrect gist'
-alias heroku='nocorrect heroku'
-alias ebuild='nocorrect ebuild'
-alias hpodder='nocorrect hpodder'
-alias sudo='nocorrect sudo'
-
if [[ "$ENABLE_CORRECTION" == "true" ]]; then
+ alias ebuild='nocorrect ebuild'
+ alias gist='nocorrect gist'
+ alias heroku='nocorrect heroku'
+ alias hpodder='nocorrect hpodder'
+ alias man='nocorrect man'
+ alias mkdir='nocorrect mkdir'
+ alias mv='nocorrect mv'
+ alias mysql='nocorrect mysql'
+ alias sudo='nocorrect sudo'
+
setopt correct_all
fi
diff --git a/lib/git.zsh b/lib/git.zsh
index a52f82de0..7aa5a0ea2 100644
--- a/lib/git.zsh
+++ b/lib/git.zsh
@@ -1,8 +1,8 @@
# get the name of the branch we are on
function git_prompt_info() {
- if [[ "$(git config --get oh-my-zsh.hide-status)" != "1" ]]; then
+ if [[ "$(command git config --get oh-my-zsh.hide-status 2>/dev/null)" != "1" ]]; then
ref=$(command git symbolic-ref HEAD 2> /dev/null) || \
- ref=$(command git rev-parse --short HEAD 2> /dev/null) || return
+ ref=$(command git rev-parse --short HEAD 2> /dev/null) || return 0
echo "$ZSH_THEME_GIT_PROMPT_PREFIX${ref#refs/heads/}$(parse_git_dirty)$ZSH_THEME_GIT_PROMPT_SUFFIX"
fi
}